import sys
import logging

from logging_config import setup_logging
from image_processing import process_images
from deck_creation import prompt_for_card_content, response_to_json, to_package

APKG_FILE = "out.apkg"

setup_logging()

def images_to_package(directory_path):
    ocr_text = process_images(directory_path)
    response_text = prompt_for_card_content(ocr_text)
    deck_json = response_to_json(response_text)
    return to_package(deck_json)


if __name__ == "__main__":
    if len(sys.argv) != 2:
        print("Usage: python ankiai.py <directory_path_containing_images>")
        sys.exit(1)

    images_to_package(sys.argv[1]).write_to_file(APKG_FILE)
    logging.info(f"Deck created at: {APKG_FILE}")
